''' <summary>
''' Desenvolvido por Thomas Alexander Semple
''' Artigo do Imasters - Faa seu software falar!
''' thomas.semple@t4w.com.br
''' </summary>
''' <remarks>
''' </remarks>
Public Class Falar

    ''' <summary>
    ''' Click do boto salvar
    ''' </summary>
    Private Sub btnFalar_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnFalar.Click

        Dim oSpeech As New SpeechLib.SpVoice
        Dim oVoz As New SpeechLib.SpObjectTokenCategory
        Dim sMensagem As String = String.Empty

        ' Recebo a mensagem
        sMensagem = txtMensagem.Text

        ' Trato minha mensagem
        If String.IsNullOrEmpty(sMensagem) Then
            txtMensagem.Text = "Olaaa! Tudo bem?"
        End If

        ' Determino a velocidade
        oSpeech.Rate = Velocidade.Value

        ' Determino o volume
        oSpeech.Volume = Volume.Value

        ' Falo
        oSpeech.Speak(sMensagem, SpeechLib.SpeechVoiceSpeakFlags.SVSFDefault)

        ' Espero acabar
        oSpeech.WaitUntilDone(oSpeech.SynchronousSpeakTimeout)

    End Sub


End Class
